@import url("https://fonts.googleapis.com/css2?family=Nunito&display=swap");

/***********************/
/* RESET CSS */
/***********************/


/* HELPER CLASSES */
.center {
  display: flex;
  align-items: center;
  justify-content: center;
}

/***********************/
/* NAVIGATION MENU */
/***********************/

/* OVERLAY */
.overlay {
  z-index: 9;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
    background-color: rgba(0, 0, 0, 0.7);
}

.overlay-slide-right {
  transition: all 0.4s ease-in-out;
  transform: translateX(0);
}

.overlay-slide-left {
  transition: all 0.8s ease-in-out;
  transform: translateX(-100%);
}

/* NAV MENU ITEMS */
nav ul {
  height: 100vh;
  list-style: none;
  background-color: rgba(0, 0, 0, 0.8);
  z-index:99999;
  position:relative;
}

nav ul li {
  padding: 15px;
}

nav li {
  /* background-color: #00000059; */
}

/* nav li:nth-of-type(2) {
  background-color: #9d5543;
}

nav li:nth-of-type(3) {
  background-color: #3d405b;
}

nav li:nth-of-type(4) {
  background-color: #5a7d6c;
}

nav li:nth-of-type(5) {
  background-color: #917a56;
} */

nav li a {
  letter-spacing: 0.4rem;
  font-size: 2rem;
  color: #fff;
}

nav li a:hover,
nav li a:active {
  transform: scale(1.2);
}

/***********************/
/* NAV SLIDE IN ANIMATION */
/***********************/

.slide-in-1 {
  animation: slide-in 0.4s linear 0.2s both;
}

.slide-in-2 {
  animation: slide-in 0.4s linear 0.4s both;
}

.slide-in-3 {
  animation: slide-in 0.4s linear 0.6s both;
}

.slide-in-4 {
  animation: slide-in 0.4s linear 0.8s both;
}

.slide-in-5 {
  animation: slide-in 0.4s linear 1s both;
}

.slide-in-6 {
  animation: slide-in 0.4s linear 1.2s both;
}

.slide-in-7 {
  animation: slide-in 0.4s linear 1.4s both;
}
.slide-in-8 {
  animation: slide-in 0.4s linear 1.6s both;
}
.slide-in-9 {
  animation: slide-in 0.4s linear 1.8s both;
}
@keyframes slide-in {
  from {
    transform: translateX(-100%);
  }

  to {
    transform: translateX(0);
  }
}

/***********************/
/* NAV SLIDE OUT ANIMATION */
/***********************/

.slide-out-1 {
  animation: slide-out 0.3s linear 0.5s both;
}

.slide-out-2 {
  animation: slide-out 0.3s linear 0.4s both;
}

.slide-out-3 {
  animation: slide-out 0.3s linear 0.3s both;
}

.slide-out-4 {
  animation: slide-out 0.3s linear 0.2s both;
}

.slide-out-5 {
  animation: slide-out 0.3s linear 0.1s both;
}

.slide-out-6 {
  animation: slide-out 0.4s linear 1.2s both;
}

.slide-out-7 {
  animation: slide-out 0.4s linear 1.4s both;
}
.slide-out-8 {
  animation: slide-out 0.4s linear 1.6s both;
}
.slide-out-9 {
  animation: slide-out 0.4s linear 1.8s both;
}
@keyframes slide-out {
  from {
    transform: translateX(0);
  }

  to {
    transform: translateX(-100%);
  }
}

/***********************/
/* HAMBURGER MENU ANIMATION */
/***********************/

.hamburger-menu {
  position: fixed;
  top: 1rem;
  right: 2rem;
  z-index: 10;
  cursor: pointer;
}

.menu-bar1,
.menu-bar2,
.menu-bar3 {
  width: 2.5rem;
  height: 0.2rem;
  background-color: #fff;
  margin: 0.6rem 0;
  transition: 0.4s;
}

.menu-bar2 {
  width: 2rem;
  margin-left: auto;
}

/* ROTATE FIRST BAR */
.active .menu-bar1 {
  transform: rotate(-45deg) translate(-0.7rem, 0.8rem);
}

/* FADE OUT SECOND BAR */
.active .menu-bar2 {
  opacity: 0;
}

/* ROTATE LAST BAR */
.active .menu-bar3 {
  transform: rotate(45deg) translate(-0.6rem, -0.8rem);
}

/***********************/
/* SECTION */
/***********************/



.logo {
  position: fixed;
  z-index: 2;
  top: 0.5rem;
  left: 1.5rem;
  font-size: 1.4rem;
  letter-spacing: 0.3rem;
}

nav.scrolled {
  background-color: rgba(255, 255, 255, 0.95); /* Change background on scroll */
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);     /* Add shadow on scroll */
  transition: all 0.3s ease;
}

/* section#home {
  background: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)),
    url("https://images.unsplash.com/photo-1473172707857-f9e276582ab6?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=2070&q=80")
      no-repeat center center / cover;
}

section#about {
  background: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)),
    url("https://images.unsplash.com/photo-1543269664-647163ef2ee4?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=2070&q=80")
      no-repeat center center / cover;
}

section#skills {
  background: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)),
    url("https://images.unsplash.com/photo-1522202176988-66273c2fd55f?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=2071&q=80")
      no-repeat center center / cover;
}

section#projects {
  background: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)),
    url("https://images.unsplash.com/photo-1432888498266-38ffec3eaf0a?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=2074&q=80")
      no-repeat center center / cover;
}

section#contact {
  background: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)),
    url("https://images.unsplash.com/photo-1497032628192-86f99bcd76bc?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=2070&q=80")
      no-repeat center center / cover;
} */

/**************************/
/* MEDIA QUERY */
/**************************/



/* BELOW 600px (Phones) */
@media (max-width: 37em) {
  .hamburger-menu {
    top: 0.5rem;
    right: 1rem;
  }


}